Subject: [86attendees] Dropping off rental cars - Hertz has valet service

From: Mary Barnes <[email-masked]>
Date: Sat, 16 Mar 2013 11:54:34 -0500

If you have a Hertz rental car, they have valet service (I had gotten this
once before at Dulles).  They have a few valets that will drive you from
the drop off location in your car right to your airline terminal drop-off
point.   So, you don't have to take your luggage out until you get to the
terminal.  The valet I had said that if they don't offer it to you, you
just have to ask.  He implied that they have it at all Hertz locations, but
again, I've only been offered the service a couple times - at IAD and I
think DCA.

I also got gas at the recommended 7-11 and the tank was still full when I
got to the rental car return.

Mary.